Magick++: Magick::DrawableRoundRectangle Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableRoundRectangle Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableRoundRectangle:
[legend]
Collaboration diagram for Magick::DrawableRoundRectangle:
[legend]

## Public Member Functions
| DrawableRoundRectangle (double upperLeftX_, double upperLeftY_, double lowerRightX_, double lowerRightY_, double cornerWidth_, double cornerHeight_)
| ~DrawableRoundRectangle (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | centerX (double centerX_)
double | centerX (void) const
void | centerY (double centerY_)
double | centerY (void) const
void | width (double width_)
double | width (void) const
void | hight (double hight_)
double | hight (void) const
void | upperLeftX (double upperLeftX_)
double | upperLeftX (void) const
void | upperLeftY (double upperLeftY_)
double | upperLeftY (void) const
void | lowerRightX (double lowerRightX_)
double | lowerRightX (void) const
void | lowerRightY (double lowerRightY_)
double | lowerRightY (void) const
void | cornerWidth (double cornerWidth_)
double | cornerWidth (void) const
void | cornerHeight (double cornerHeight_)
double | cornerHeight (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1434 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableRoundRectangle::DrawableRoundRectangle | ( | double | upperLeftX_,
|  | double | upperLeftY_,
|  | double | lowerRightX_,
|  | double | lowerRightY_,
|  | double | cornerWidth_,
|  | double | cornerHeight_
| ) |  |
| inline

Definition at line 1437 of file Drawable.h.

Magick::DrawableRoundRectangle::~DrawableRoundRectangle | ( | void |  | ) |

Definition at line 986 of file Drawable.cpp.

## Member Function Documentation

void Magick::DrawableRoundRectangle::centerX | ( | double | centerX_ | ) |
| inline

Definition at line 1458 of file Drawable.h.

double Magick::DrawableRoundRectangle::centerX | ( | void |  | ) | const
| inline

Definition at line 1462 of file Drawable.h.

void Magick::DrawableRoundRectangle::centerY | ( | double | centerY_ | ) |
| inline

Definition at line 1467 of file Drawable.h.

double Magick::DrawableRoundRectangle::centerY | ( | void |  | ) | const
| inline

Definition at line 1471 of file Drawable.h.

Magick::DrawableBase * Magick::DrawableRoundRectangle::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 995 of file Drawable.cpp.

void Magick::DrawableRoundRectangle::cornerHeight | ( | double | cornerHeight_ | ) |
| inline

Definition at line 1541 of file Drawable.h.

double Magick::DrawableRoundRectangle::cornerHeight | ( | void |  | ) | const
| inline

Definition at line 1545 of file Drawable.h.

void Magick::DrawableRoundRectangle::cornerWidth | ( | double | cornerWidth_ | ) |
| inline

Definition at line 1532 of file Drawable.h.

double Magick::DrawableRoundRectangle::cornerWidth | ( | void |  | ) | const
| inline

Definition at line 1536 of file Drawable.h.

void Magick::DrawableRoundRectangle::hight | ( | double | hight_ | ) |
| inline

Definition at line 1485 of file Drawable.h.

double Magick::DrawableRoundRectangle::hight | ( | void |  | ) | const
| inline

Definition at line 1489 of file Drawable.h.

void Magick::DrawableRoundRectangle::lowerRightX | ( | double | lowerRightX_ | ) |
| inline

Definition at line 1514 of file Drawable.h.

double Magick::DrawableRoundRectangle::lowerRightX | ( | void |  | ) | const
| inline

Definition at line 1518 of file Drawable.h.

void Magick::DrawableRoundRectangle::lowerRightY | ( | double | lowerRightY_ | ) |
| inline

Definition at line 1523 of file Drawable.h.

double Magick::DrawableRoundRectangle::lowerRightY | ( | void |  | ) | const
| inline

Definition at line 1527 of file Drawable.h.

void Magick::DrawableRoundRectangle::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 990 of file Drawable.cpp.

void Magick::DrawableRoundRectangle::upperLeftX | ( | double | upperLeftX_ | ) |
| inline

Definition at line 1496 of file Drawable.h.

double Magick::DrawableRoundRectangle::upperLeftX | ( | void |  | ) | const
| inline

Definition at line 1500 of file Drawable.h.

void Magick::DrawableRoundRectangle::upperLeftY | ( | double | upperLeftY_ | ) |
| inline

Definition at line 1505 of file Drawable.h.

double Magick::DrawableRoundRectangle::upperLeftY | ( | void |  | ) | const
| inline

Definition at line 1509 of file Drawable.h.

void Magick::DrawableRoundRectangle::width | ( | double | width_ | ) |
| inline

Definition at line 1476 of file Drawable.h.

double Magick::DrawableRoundRectangle::width | ( | void |  | ) | const
| inline

Definition at line 1480 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp